> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Get WorkflowTaskSchema by ID

GET https://{tenant_name}.benchling.com/api/v3/workflow-task-schema/{workflow_task_schema_id}

Get a single WorkflowTaskSchema by ID.

Reference: https://docs.benchling.com/docs/api/benchling-api/workflow-task-schema/get

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `workflow_task_schema_id` (string, required) — ID of the WorkflowTaskSchema.

### Query parameters

- `returning` (string, optional) — Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
- `omit` (string, optional) — Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

## Response

### 200

OK

- `__typename` (string, optional)
- `archiveReason` (string, optional, nullable)
- `archived` (boolean, optional)
- `canOnlyBePartOfFlowchart` (boolean, optional)
- `canSetAssigneeOnTaskCreation` (boolean, optional) — Whether or not tasks of this schema can be created with a non-null assignee.
- `createdAt` (string, optional)
- `defaultCreationFolder` (FolderRef, optional, nullable) — ID of the default folder for creating workflow task groups
- `defaultEntryExecutionFolder` (FolderRef, optional, nullable) — ID of the default folder for workflow task execution entries
- `entryTemplate` (EntryTemplateRef, optional, nullable) — The ID of the template of the entries tasks of this schema will be executed into.
- `executionType` (enum, optional) — The method by which instances of this schema are executed
  - Allowed values: `DIRECT`, `ENTRY`, `FLOWCHART`, `PROCEDURE`, `PROCEDURE_METHOD`, `PROCEDURE_STEP`, `PIPELINE`
- `fieldDefinitions` (string, optional)
- `id` (string, optional)
- `isPropagateWatchersEnabled` (boolean, optional)
- `modifiedAt` (string, optional)
- `name` (string, optional)
- `organization` (OrganizationRef, optional) — The organization that owns the schema.
- `prefix` (string, optional) — The prefix for the displayId of tasks of this schema.
- `systemName` (string, optional) — A unique, stable identifier for this schema used for programmatic access and integrations.
- `taskGroupInstructions` (string, optional, nullable) — The instructions for task groups of this schema
- `taskGroupPrefix` (string, optional) — The prefix for the displayId of task groups containing tasks of this schema
- `validationRules` (string, optional)
- `workflowOutputSchema` (WorkflowOutputSchemaRef, optional, nullable)

## Errors

### 400 Workflow Task Schema Get Request Bad Request Error

Bad Request

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 403 Workflow Task Schema Get Request Forbidden Error

Forbidden

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 404 Workflow Task Schema Get Request Not Found Error

Not Found

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 429 Workflow Task Schema Get Request Too Many Requests Error

Too Many Requests

- `detail` (TooManyRequestsErrorBodyDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)
- `violated-policies` (list of enum, optional) — The budget policies that rejected the request, in canonical order: `user`, `integration`, then `tenant`.
  - Allowed values: `user`, `integration`, `tenant`

### 500 Workflow Task Schema Get Request Internal Server Error

Internal Server Error

- `detail` (InternalServerErrorBodyDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `errorId` (string, optional)

## Types

### FolderRef

- `__typename` (string, optional)
- `id` (string, optional)

### EntryTemplateRef

- `__typename` (string, optional)
- `id` (string, optional)

### OrganizationRef

- `__typename` (string, optional)
- `id` (string, optional)

### WorkflowOutputSchemaRef

- `__typename` (string, optional)
- `id` (string, optional)

### GeneralErrorDetail

### TooManyRequestsErrorBodyDetail

### InternalServerErrorBodyDetail

## Examples

**Response**

```json
{
  "__typename": "__typename",
  "archiveReason": "archiveReason",
  "archived": true,
  "canOnlyBePartOfFlowchart": true,
  "canSetAssigneeOnTaskCreation": true,
  "createdAt": "createdAt",
  "defaultCreationFolder": {
    "__typename": "__typename",
    "id": "id"
  },
  "defaultEntryExecutionFolder": {
    "__typename": "__typename",
    "id": "id"
  },
  "entryTemplate": {
    "__typename": "__typename",
    "id": "id"
  },
  "executionType": "DIRECT",
  "fieldDefinitions": "fieldDefinitions",
  "id": "id",
  "isPropagateWatchersEnabled": true,
  "modifiedAt": "modifiedAt",
  "name": "name",
  "organization": {
    "__typename": "__typename",
    "id": "id"
  },
  "prefix": "prefix",
  "systemName": "systemName",
  "taskGroupInstructions": "taskGroupInstructions",
  "taskGroupPrefix": "taskGroupPrefix",
  "validationRules": "validationRules",
  "workflowOutputSchema": {
    "__typename": "__typename",
    "id": "id"
  }
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v3/workflow-task-schema/workflow_task_schema_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v3/workflow-task-schema/workflow_task_schema_id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```